close all;                                      % 모든 생성된 창을 닫음 
clear all;                                      % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                            % 명령(command) 창을 비움

num=[1 0 -0.25];                                % 전달 함수 분자의 계수 
den=[1 0 0.64];                                 % 전달 함수 분모의 계수 
[R P]=residue(num,[den 0]);                     % 부분 분수 전개의 극과 계수 계산
n=0:30;                                         % 시간축 설정 
h=R(1)*P(1).^n+R(2)*P(2).^n+R(3)*P(3).^n;       % 역 z 변환에 의한 임펄스 응답 계산
hh=dimpulse(num,den,length(n));                 % dimpulse에 의한 임펄스 응답 계산

subplot(2,1,1);                                 % 2행 1열 분할 그림창의 1번 창
stem(n,h);                                      % 역 z 변환에 의한 임펄스 응답을 그림
title('\bf{역 z 변환에 의한 임펄스 응답}');       % 그림 제목  
xlabel('\bf{n}'); grid on;                      % x축 라벨 및 그리드 표시
subplot(2,1,2);                                 % 2행 1열 분할 그림창의 2번 창
stem(n,hh);                                     % dimpulse로 구한 임펄스 응답을 그림
title('\bf{dimpulse로 구한 임펄스 응답}');       % 그림 제목 
xlabel('\bf{n}'); grid on;                      % x축 라벨 및 그리드 표시